Package com.google.android.exoplayer2.upstream

## Class LoadErrorHandlingPolicy.FallbackSelection

- java.lang.Object
- - com.google.android.exoplayer2.upstream.LoadErrorHandlingPolicy.FallbackSelection

- Enclosing interface:
    LoadErrorHandlingPolicy

      public static final class LoadErrorHandlingPolicy.FallbackSelection
      extends Object

  A selected fallback option.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `exclusionDurationMs` | The duration for which the failing resource should be excluded, in milliseconds.
    `int` | `type` | The type of fallback.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FallbackSelection​(int type, long exclusionDurationMs)` | Creates an instance.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          @FallbackType
          public final int type

      The type of fallback.

    - #### exclusionDurationMs

          public final long exclusionDurationMs

      The duration for which the failing resource should be excluded, in milliseconds.

  - ### Constructor Detail

    - #### FallbackSelection

          public FallbackSelection​(@FallbackType
                                   int type,
                                   long exclusionDurationMs)

      Creates an instance.
      Parameters:
        `type` - The type of fallback.
        `exclusionDurationMs` - The duration for which the failing resource should be excluded, in milliseconds. Must be non-negative.